import java.io.*;
import java.util.StringTokenizer;

public class bow_ip {
    FastScanner in;
    PrintWriter out;
    final String TASK_NAME = "bow";

    public void solve() throws IOException {
        int n = in.nextInt();
        int[] x = new int[n];
        int[] d = new int[n];
        for (int i = 0; i < n; ++i) {
            x[i] = in.nextInt();
            d[i] = in.nextInt();
        }

        int mn = x[0] + d[0];
        int mx = x[0] - d[0];
        for (int i = 1; i < n; ++i) {
            mn = Math.min(mn, x[i] + d[i]);
            mx = Math.max(mx, x[i] - d[i]);
        }
        if (mx > mn) out.println(-1);
        else out.println(mn);
    }

    public void run() {
        try {
            in = new FastScanner(new File(TASK_NAME + ".in"));
            out = new PrintWriter(new File(TASK_NAME + ".out"));

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    class FastScanner {
        BufferedReader br;
        StringTokenizer st;

        FastScanner(File f) {
            try {
                br = new BufferedReader(new FileReader(f));
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            }
        }

        String next() {
            while (st == null || !st.hasMoreTokens()) {
                try {
                    st = new StringTokenizer(br.readLine());
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
            return st.nextToken();
        }

        int nextInt() {
            return Integer.parseInt(next());
        }
    }

    public static void main(String[] arg) {
        new bow_ip().run();
    }
}
