#include "bits/stdc++.h"
#define puba push_back
#define mapa make_pair
#define ff first
#define ss second
#define bend(_x) (_x).begin(), (_x).end()
#define szof(_x) ((int) (_x).size())
#define TASK_NAME "sequence"

using namespace std;
typedef long long ll;
typedef pair <int, int> pii;
const int MAXLCM = 5000;

ll m_sqrt(ll num) {
    ll l = 0, r = 2e9;
    while (r - l > 1) {
        ll mid = (l + r) / 2;
        if (mid * mid <= num) {
            l = mid;
        } else {
            r = mid;
        }
    }
    return l;
}

int gcd(int a, int b) {
    return b == 0 ? a : gcd(b, a % b);
}

ll n, k;

ll num_rem[MAXLCM];

ll num_pref(ll pos, ll rem, ll mod) {
    return pos / mod + (pos % mod >= rem);
}

ll num_of(ll l, ll r, ll rem, ll mod) {
    return num_pref(r, rem, mod) - num_pref(l - 1, rem, mod);
}

int main() {        
    freopen(TASK_NAME ".in", "r", stdin);
    freopen(TASK_NAME ".out", "w", stdout);

    int num_tests;
    scanf("%d", &num_tests);
    
    for (int q = 0; q < num_tests; ++q) {
        scanf("%I64d%I64d", &n, &k);
        ll ans = sqrt(min(k, n));

        if (n <= k) {
            cout << ans << "\n";
            continue;
        }

        //cerr << ans << endl;

        for (int i = 2; i <= 10; ++i) {
            ll lcm = 1;
            for (int j = 2; j <= i; ++j) {
                lcm = lcm * j / gcd(j, lcm);
            }
            ll lg = k * (i - 1) + 1;
            ll rg = min(k * i, n);

            //cerr << lg << " " << rg << " " << lcm << endl;

            if (lg > rg) {
                break;
            }
            ll l = sqrt(lg - 1) + 1;
            ll r = sqrt(rg);
            //cerr << l << " " << r << endl;
            memset(num_rem, 0, sizeof num_rem);
            for (int j = 0; j < lcm; ++j) {
                num_rem[j * j % lcm] += num_of(l, r, j, lcm);
            }
           
            for (int j = 0; j < lcm; ++j) {
                int num = 0;
                for (int j2 = 1; k * j2 < lg; ++j2) {
                    //cerr << "j2: " << j2 << endl;
                    if (j % j2 == 0) {
                        ++num;
                    }
                }            
                ll num_there = num_of(lg, rg, j, lcm);
                //cerr << j << " " << num_there << " " << num_rem[j] << " " << num << endl;
                //cerr << num << endl;
                ll tmp = num_rem[j];
                if (num % 2 == 1) {
                    tmp = num_there - tmp;
                }

                //cerr << tmp << endl;
                ans += tmp;
            }

            //cerr << "END OF " << i << " " << ans << endl;
        }

        cout << ans << "\n";
    }

    return 0;
}